// Dynamically sets the background
(function () {
	$('body').css({
		backgroundImage: 'url("../../assets/imgs/bg.jpg")'
	});
})();


(function () {
	function startTime() {
		var theDate = new Date();

		var time = theDate.toLocaleString('en-US', {
			hour: 'numeric',
			minute: 'numeric',
			hour12: true
		});

		var meridiem = time.substr(time.length - 2);
		time = time.substring(0, time.length - 3);
		document.getElementById('clock').innerHTML = time + '<span id="meridiem">' + meridiem.toLowerCase() + '</span>';
		var hour = theDate.getHours();

		var greetingEls = document.getElementById('customGreeting');
		if (hour > 6 && hour < 12) {
			// morning
			greetingEls.innerHTML = "Good Morning!"
		} else if (hour >= 12 && hour < 18) {
			// afternoon
			greetingEls.innerText = "Good Afternoon!"
		} else if (hour >= 18 && hour < 22) {
			// evening
			greetingEls.innerText = "Good Evening!"
		}

		var t = setTimeout(startTime, 1000);
	}

	document.body.onload = function () {
		startTime();
	}
})();


(function () {
	let selectedSearchEngine = "bing";

	$('#frmSearch').on("submit", function (e) {
		e.preventDefault();
		let finalUrl;
		if ( $("input[name='kw']").val() ) {
			switch ( selectedSearchEngine ) {
				case "google":
					finalUrl = "https://www.google.com/search?q="+$("input[name='kw']").val();
					break;
				case "bing":
					finalUrl = "https://find.digital-marketing-ads.com/results.aspx?gd=SY1002703&searchsource=69&q="+$("input[name='kw']").val()+"&n=3333";
					break;
				default:
					finalUrl = "http://yssads.ddc.com/yhs.php?c=23607&surl=https://pdfconvert-tab.com&kw="+$("input[name='kw']").val();
					break;
			}
			location.href = finalUrl;
		}
	});

	$('#btnChangeToYahoo').on("click", function () {
		selectedSearchEngine = "yahoo";
		$("#selectedSearchContainer img:first").prop("src","/assets/imgs/yahoo.png")
	});
	$('#btnChangeToGoogle').on("click", function () {
		selectedSearchEngine = "google";
		$("#selectedSearchContainer img:first").prop("src","/assets/imgs/google.png")
	});
	$('#btnChangeToBing').on("click", function () {
		selectedSearchEngine = "bing";
		$("#selectedSearchContainer img:first").prop("src","/assets/imgs/bing.png")
	});

	$('#dragAreaContainer').on("click", function () {
		$('#docFileSelector').click();
	});

	$('#docFileSelector').on('change', function (e) {
		e.preventDefault();
		$('#loader').show();
		if ($('#docFileSelector')) {
			var formData = new FormData();
			formData.append('file', $('#docFileSelector')[0].files[0]);

			var request = new XMLHttpRequest();
			// request.open("POST", "http://pdfconvert.live/pdfConvertorService/convert_to_pdf.php", true);
			request.open("POST", "https://search101.info/pdfConvertorService/convert_to_pdf.php", true);
			request.responseType = "blob";

			request.upload.addEventListener("progress", function (evt) {
				if (evt.lengthComputable) {
					$('#dragAreaContainer').css({'visibility':'none'});
					var percentComplete = (evt.loaded / evt.total) * 100;
					$('#pdfInfo').text('UPLOADING...');
					$('#uploadProgressBar').closest('.progressbar-container').show();
					$('#uploadProgressBar').css('width', percentComplete + '%');
					$('#uploadProgressBar').text(percentComplete.toFixed(2) + '%');
					if (percentComplete >= 100) {
						$('#pdfInfo').text('CONVERTING...');
					}
					//Do something with upload progress here
				}
			}, false);

			request.addEventListener("progress", function (evt) {
				if (evt.lengthComputable) {
					var percentComplete = (evt.loaded / evt.total) * 100;
					if (percentComplete >= 100) {
						$('#loader').hide()
					}
					//Do something with download progress
				}
			}, false);

			request.onload = function (e) {
				if (this.status === 200) {
					// `blob` response
					// create `objectURL` of `this.response` : `.pdf` as `Blob`
					var file = window.URL.createObjectURL(this.response);
					var a = document.createElement("a");
					a.href = file;
					var filename = "";
					var disposition = request.getResponseHeader('Content-Disposition');
					if (disposition && disposition.indexOf('attachment') !== -1) {
						filename = disposition.split('filename=');
						filename = filename[filename.length-1];
					}
					a.download = this.response.name || filename;
					a.click();
					$('#loader').hide()
					$('#dragAreaContainer').css({'visibility':''});
					$('#pdfInfo').text('Please select .doc/docx file.');
					$('#uploadProgressBar').closest('.progressbar-container').hide();
					$('#uploadProgressBar').css('width', '0%');
					$('#uploadProgressBar').text('0%');

					$('#docFileSelector').val('');
				} else {
					
					$('#loader').hide()
					$('#dragAreaContainer').css({'visibility':''});
					$('#uploadProgressBar').closest('.progressbar-container').hide();
					$('#uploadProgressBar').css('width', '0%');
					$('#uploadProgressBar').text('0%');
					if(this.status === 400){
						$('#pdfInfo').text("Invalid File");
					} else {
						$('#pdfInfo').text("Invalid Request");
					}
					setTimeout(function(){
						$('#pdfInfo').text('Please select .doc/docx file.');
					},4000);
				};
			}
			request.send(formData);
		}
	});
})();